Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 11 reacties
Bron: phpBB, submitter: Koploper

Zondag hebben de ontwikkelaars van phpBB een nieuwe versie van de 2.0-tak uitgebracht. De forumsoftware is hierdoor aangekomen bij versienummer 2.0.23, die vanaf deze pagina gedownload kan worden. PhpBB is een gratis te gebruiken forum dat onder de gpl-licentie beschikbaar wordt gesteld. De forumsoftware is een van de meest gebruikte opensource forums en maakt gebruik van PHP en een databaseprogramma om berichten op te slaan, te bewaren en op te halen. Naast Mysql worden ook Postgresql, Microsoft SQL Server 2000 en Microsoft Access als databasesoftware ondersteund. Hieronder is het changelog van phpBB 2.0.23 gepost:

What has changed in this release?
  • [Fix] Correctly re-assign group moderator on user deletion (Bug #280)
  • [Fix] Deleting a forum with multiple polls included (Bug #6740)
  • [Fix] Fixed postgresql query for obtaining group moderator in groupcp.php (Bug #6550)
  • [Fix] Selected field on first entry by default for font size within posting_body.tpl (Bug #7124)
  • [Fix] Adjusted maxlength parameters in admin/styles_edit_body.tpl (Bug #81)
  • [Fix] Fixed html output in make_forum_select if no forums present (Bug #436)
  • [Fix] Fixed spelling error(s) in lang_admin.php (Bug #7172, #6978)
  • [Fix] Correctly display censored words in admin panel (Bug #12271)
  • [Fix] Do not allow soft hyphen \xAD in usernames (reported by Bander00)
  • [Fix] Fixed the group permission system's use of array access
  • [Fix] Simple group permissions now work properly
  • [Fix] Fix inability to export smilies (Bug #2265)
  • [Fix] Fixing some problems with PHP5 and register_long_arrays off
  • [Sec] Fix possible XSRF Vulnerability in private messaging and groups handling
Moderatie-faq Wijzig weergave

Reacties (11)

Ik wist niet dat versie 2 ook nog doorontwikkeld werd? Ik dacht dat iedereen nu maar gewoon op 3 moets overstappen. Daarom zeker nu wat bugfixes voor de mensen die bij 2 willen blijven.
Sommigen grote website willen een nieuwe release altijd eerst uitgrondig testen voor ze upgraden.
Een update veranderd vaak niet zo veel, waardoor de verschillen met v2 en v3, vele male kleiner zijn.
Is ook niet echt een nieuwe versie, meer reparaties aan de oude, ik zie 13x [fix] ;)
Ik vind het over het algemeen een project erg sieren als een oudere versie gewoon gebugfixt word. De echt grote fora gaan niet 123 over op een nieuwe versie. phpbb3 is in veel opzichten beter en vooral veiliger, maar als je een (custom)cms hebt dat samen moet werken met het forum, is het maar wat handig dat het oude forum nog even ondersteund word.

Ik vraag me alleen af of hier nog known exploits in gefixt worden, want dan moet ik erg snel upgraden, heb nog 2 fora op phpbb2 lopen....

[Reactie gewijzigd door Emielvenlo op 18 februari 2008 16:57]

phpBB 2.0.23 is gewoon een security-update, dus updaten wordt aangeraden, ik meen dat alleen als er security exploits worden gevonden in phpBB2 enkel nog geupdate gaat worden.
Ik vind het persoonlijk heel handig

Ik gebruik op http://dragon.student.utwente.nl/poval/ de skin Chronicles, die wordt voor zover ik weet niet meer geupdate. Totdat iemand die voor 3.0 maakt stap ik niet over.

<3 phpbb devvers

*edit: gelukkig zie ik nu dat de maker Chronicles aan het rewriten is, es ff vragen of dat ook voor phpbb3 is*

[Reactie gewijzigd door Dutchy_ op 18 februari 2008 18:12]

Als je veel mods hebt ge´nstalleerd lijkt me dat dit soort updates niet echt handig is..
Ik heb zelf de code hier en daar aangepast zodat niet-ingelogden geen berichten e.d. kunnen opvragen, bij zo'n update kun je dat dus weer opnieuw gaan aanpassen.
Dat is altijd het nadeel van code zelf editen, in lijn blijven met de baseline kost dan altijd extra werk. Merk dat dagelijks op het werk.
Overigens is het volgens mij standaard in te stellen dat alleen ingelogde gebruikers berichten kunnen zien (kan je als property van een map instellen). Heb ik op mijn eigen forum ook actief.
Je kan de code ook handmatig overal bijwerken. Kijken waar de bugfix plaats hoort te vinden, en of dat ook goed gaat voor je eigen installatie.

Ik (wij) werken met een groot gehackte phpbb2 forum. Praktisch elke file heeft wel een mod of een aanpassing, om toch veilig te blijven moeten we die updates wel handmatig invoeren.
Is niet anders...
Ik heb hiervoor gewoon een losse include gemaakt waarin ik alle Mod's heb verwerkt. Een update kan ik hierdoor bijna in 1x over het oude forum heengooien, daarna even de include terugzetten en alles draait weer.

Werkt prima en scheelt me enorm veel tijd (aangezien ik 5 verschillende forums op 1 installatie heb draaien).

Versie 3.0 wachten we nog even af, tot de eerste bugfixes zijn geweest...
Jammer dat alleen SQL2000 word ondersteund en niet 2008

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True